#include<stdio.h>
int main()
{
int indeks=-1, N, L, i=1, a[50], br=indeks;
scanf("%d%d", &N, &L);
while(i<=N)
{
	scanf("%d",&a[i]);
	if(a[i]>L)
	i++;
	else
	{
		br=i;
		break;
	}
	}
	printf("%d",br);
}